org.apache.sysds.runtime.instructions.cp

## Class BuiltinNaryCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction

- Direct Known Subclasses:
    EvalNaryCPInstruction, MatrixBuiltinNaryCPInstruction, ScalarBuiltinNaryCPInstruction

      public abstract class BuiltinNaryCPInstruction
      extends CPInstruction

  Instruction to handle a variable number of input operands. It parses an instruction string to generate an object that is a subclass of BuiltinMultipleCPInstruction. Currently the only subclass of BuiltinMultipleCPInstruction is ScalarBuiltinMultipleCPInstruction. The ScalarBuiltinMultipleCPInstruction class is responsible for printf-style Java-based string formatting.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `CPInstruction.CPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinNaryCPInstruction(Operator op, String opcode, String istr, CPOperand output, CPOperand... inputs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CPOperand[]` | `getInputs()`
    `CPOperand` | `getOutput()`
    `static BuiltinNaryCPInstruction` | `parseInstruction(String str)`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate, updateLabels`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuiltinNaryCPInstruction

          public BuiltinNaryCPInstruction(Operator op,
                                          String opcode,
                                          String istr,
                                          CPOperand output,
                                          CPOperand... inputs)

  - ### Method Detail

    - #### getInputs

          public CPOperand[] getInputs()

    - #### getOutput

          public CPOperand getOutput()

    - #### parseInstruction

          public static BuiltinNaryCPInstruction parseInstruction(String str)

Copyright © 2021 The Apache Software Foundation. All rights reserved.